<div style="display:grid; place-content: center;">
    <form [formGroup]="main_form_variable">
        <h4>Basic Details</h4>
        <input formControlName="username" style="margin-right:5px" type="text" placeholder="username">
        <input formControlName="password" style="margin-right:5px" type="text" placeholder="password">
        <h4>Contact Details</h4>
        <div formGroupName="contact_details">
            <input formControlName="phone_number" style="margin-right:5px" type="text" placeholder="phone_number">
            <input formControlName="email_address" style="margin-right:5px" type="text" placeholder="email_address">
        </div>

        <h4>Location Details</h4>
        <div formGroupName="location_details">
            <input formControlName="city" style="margin-right:5px" type="text" placeholder="city">
            <input formControlName="state" style="margin-right:5px" type="text" placeholder="state">
            <input formControlName="country" style="margin-right:5px" type="text" placeholder="country">
        </div>

        <button style="margin-top:20px">Submit</button>
    </form>
    {{main_form_variable.valid}}
    <!-- {{main_form_variable.value | json}} -->

</div>